org.keycloak.constants

## Class KerberosConstants

- java.lang.Object
- - org.keycloak.constants.KerberosConstants

-     public class KerberosConstants
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALLOW_KERBEROS_AUTHENTICATION` Configuration federation provider model attributes.
    `static String` | `ALLOW_PASSWORD_AUTHENTICATION`
    `static String` | `DEBUG`
    `static String` | `GSS_DELEGATION_CREDENTIAL` Internal attribute used in "userSession.note" map and in accessToken claims .
    `static String` | `GSS_DELEGATION_CREDENTIAL_DISPLAY_NAME` Display name for the above in admin console and consent screens
    `static String` | `KERBEROS_REALM`
    `static String` | `KEYTAB`
    `static String` | `KRB5_NAME_OID` OID of Kerberos v5 name.
    `static String` | `KRB5_OID` OID of Kerberos v5 mechanism.
    `static String` | `NEGOTIATE` Value of HTTP Headers "WWW-Authenticate" or "Authorization" used for SPNEGO/Kerberos
    `static String` | `RESPONSE_TOKEN` Internal attribute used in "state" map .
    `static String` | `SERVER_PRINCIPAL`
    `static String` | `SPNEGO_OID` OID of SPNEGO mechanism.
    `static String` | `UPDATE_PROFILE_FIRST_LOGIN`
    `static String` | `USE_KERBEROS_FOR_PASSWORD_AUTHENTICATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KerberosConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NEGOTIATE

          public static final String NEGOTIATE

      Value of HTTP Headers "WWW-Authenticate" or "Authorization" used for SPNEGO/Kerberos
      See Also:
        Constant Field Values

    - #### SPNEGO_OID

          public static final String SPNEGO_OID

      OID of SPNEGO mechanism. See http://www.oid-info.com/get/1.3.6.1.5.5.2
      See Also:
        Constant Field Values

    - #### KRB5_OID

          public static final String KRB5_OID

      OID of Kerberos v5 mechanism. See http://www.oid-info.com/get/1.2.840.113554.1.2.2
      See Also:
        Constant Field Values

    - #### KRB5_NAME_OID

          public static final String KRB5_NAME_OID

      OID of Kerberos v5 name. See http://www.oid-info.com/get/1.2.840.113554.1.2.2.1
      See Also:
        Constant Field Values

    - #### ALLOW_KERBEROS_AUTHENTICATION

          public static final String ALLOW_KERBEROS_AUTHENTICATION

      Configuration federation provider model attributes.
      See Also:
        Constant Field Values

    - #### KERBEROS_REALM

          public static final String KERBEROS_REALM

      See Also:
        Constant Field Values

    - #### SERVER_PRINCIPAL

          public static final String SERVER_PRINCIPAL

      See Also:
        Constant Field Values

    - #### KEYTAB

          public static final String KEYTAB

      See Also:
        Constant Field Values

    - #### DEBUG

          public static final String DEBUG

      See Also:
        Constant Field Values

    - #### ALLOW_PASSWORD_AUTHENTICATION

          public static final String ALLOW_PASSWORD_AUTHENTICATION

      See Also:
        Constant Field Values

    - #### UPDATE_PROFILE_FIRST_LOGIN

          public static final String UPDATE_PROFILE_FIRST_LOGIN

      See Also:
        Constant Field Values

    - #### USE_KERBEROS_FOR_PASSWORD_AUTHENTICATION

          public static final String USE_KERBEROS_FOR_PASSWORD_AUTHENTICATION

      See Also:
        Constant Field Values

    - #### RESPONSE_TOKEN

          public static final String RESPONSE_TOKEN

      Internal attribute used in "state" map . Contains token to be passed in HTTP Response back to browser to continue handshake
      See Also:
        Constant Field Values

    - #### GSS_DELEGATION_CREDENTIAL

          public static final String GSS_DELEGATION_CREDENTIAL

      Internal attribute used in "userSession.note" map and in accessToken claims . Contains credential from SPNEGO/Kerberos successful authentication
      See Also:
        Constant Field Values

    - #### GSS_DELEGATION_CREDENTIAL_DISPLAY_NAME

          public static final String GSS_DELEGATION_CREDENTIAL_DISPLAY_NAME

      Display name for the above in admin console and consent screens
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KerberosConstants

          public KerberosConstants()

Copyright © 2015. All rights reserved.